> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Bulk delete root jobs

POST https://example.itential.io/operations-manager/jobs/bulk-delete
Content-Type: application/json

Only succeeds on completed or cancelled root jobs. Ignores jobs that don't fit that criteria. Recursively deletes children, tasks, job data, job history, and large files. Does not return details of specific document deletion.

Reference: https://docs.itential.com/itential-cloud/api-reference/operations-manager/bulk-delete-jobs

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `jobIds` (list of string, optional)

## Response

### 200

The results of each root delete jobs operation and total number of items deleted per collection.

- `message` (string, optional)
- `data` (object, optional)
  - `jobsDeleted` (integer, optional)
  - `tasksDeleted` (integer, optional)
  - `jobHistoryDeleted` (integer, optional)
  - `jobDataDeleted` (integer, optional)
  - `jobDataLargeFilesDeleted` (integer, optional)
  - `results` (list of object, optional)
- `metadata` (object, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "message": "string",
  "data": {
    "jobsDeleted": 1,
    "tasksDeleted": 1,
    "jobHistoryDeleted": 1,
    "jobDataDeleted": 1,
    "jobDataLargeFilesDeleted": 1,
    "results": [
      {}
    ]
  },
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/operations-manager/jobs/bulk-delete"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/operations-manager/jobs/bulk-delete';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/operations-manager/jobs/bulk-delete"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/operations-manager/jobs/bulk-delete")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/operations-manager/jobs/bulk-delete")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/operations-manager/jobs/bulk-delete', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/operations-manager/jobs/bulk-delete");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/jobs/bulk-delete")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```